PatternVariable (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.argument.PatternVariable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.argument
Class PatternVariable

    java.lang.Object
      com.meyling.principia.argument.AbstractArgument
          com.meyling.principia.argument.PatternVariable

All Implemented Interfaces:
  Argument, Comparable, CounterMarker

Direct Known Subclasses:
  BasicPatternVariable, BasicSubjectVariablePatternVariable

public class PatternVariable
extends AbstractArgument
implements CounterMarker, Comparable

Pattern variable, for matching purposes.

Version:
  $Revision: 1.5 $
Author:
  Michael Meyling

Constructor Summary
`PatternVariable(Argument[] arguments)` Constructs a pattern variable.

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `containsPatternVariables()` Does this argument contain any PatternVariable?
`Argument` | `copy()` Returns an identical object (maybe "this").
`Argument` | `create(Argument[] arguments)` Create a new Argument with given arguments.
`Argument` | `getArgument(int i)` Get the requested argument.
`int` | `getArgumentSize()` Get the number of arguments.
`Argument` | `getContent()` Sets argument of pattern variable.
`int` | `getNumber()` Get number of pattern variable.
`boolean` | `isMatching(Argument argument)` Is the argument matching the pattern variable?
`void` | `setContent(Argument content)` Sets argument of pattern variable.
`String` | `toString()` Get the argument in `String` form.

Methods inherited from class com.meyling.principia.argument.AbstractArgument
`equals, getHighestNumber, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.meyling.principia.argument.Argument
`equals, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Constructor Detail

### PatternVariable

    public PatternVariable(Argument[] arguments)
                    throws ArgumentException

  Constructs a pattern variable.

Parameters:
  `arguments` - first argument is number of this pattern variable
Throws:
  `ArgumentException` - if there is not exactly one argument that is an instance of `Counter`

Method Detail

### getArgumentSize

    public final int getArgumentSize()

  Description copied from interface: `Argument`
  Get the number of arguments.

  Specified by:
    `getArgumentSize` in interface `Argument`
  Specified by:
    `getArgumentSize` in class `AbstractArgument`

### getArgument

    public final Argument getArgument(int i)
                               throws IllegalArgumentException

  Description copied from interface: `Argument`
  Get the requested argument.

  Specified by:
    `getArgument` in interface `Argument`
  Specified by:
    `getArgument` in class `AbstractArgument`
  Throws:
    `IllegalArgumentException`

### copy

    public Argument copy()

  Description copied from interface: `Argument`
  Returns an identical object (maybe "this").

  Specified by:
    `copy` in interface `Argument`
  Returns:
    copy of this object

### setContent

    public final void setContent(Argument content)

  Sets argument of pattern variable.

  Parameters:
    `content` - assignment of pattern variable
  Throws:
    `IllegalArgumentException` - if there is already an assignment

### getContent

    public final Argument getContent()

  Sets argument of pattern variable.

  Returns:
    argument assignment of pattern variable,
  Throws:
    `IllegalArgumentException` - if no value was assigned

### getNumber

    public final int getNumber()

  Get number of pattern variable.

  Specified by:
    `getNumber` in interface `CounterMarker`
  Returns:
    number of pattern variable

### containsPatternVariables

    public final boolean containsPatternVariables()

  Description copied from interface: `Argument`
  Does this argument contain any PatternVariable?

  Specified by:
    `containsPatternVariables` in interface `Argument`
  Overrides:
    `containsPatternVariables` in class `AbstractArgument`
  Returns:
    always returns true

### create

    public Argument create(Argument[] arguments)
                    throws ArgumentException

  Description copied from interface: `Argument`
  Create a new Argument with given arguments.

  Specified by:
    `create` in interface `Argument`
  Specified by:
    `create` in class `AbstractArgument`
  Throws:
    `ArgumentException`

### isMatching

    public boolean isMatching(Argument argument)

  Is the argument matching the pattern variable? Here always true is returned.

  Parameters:
    `argument` - argument to match pattern variable
  Returns:
    `true`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Description copied from interface: `Argument`
  Get the argument in `String` form.

  Specified by:
    `toString` in interface `Argument`
  Specified by:
    `toString` in class `AbstractArgument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.